function f=comp_izak(coef,a);
%COMP_IZAK  Compute inverse Zak transform
%   Usage:  f=comp_izak(coef,a);

% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

L=size(coef,1);
W=size(coef,2);

% Workspace
s=zeros(L/a,a);

% Output
f=zeros(L,W);

for ii=1:W
  s(:)=coef(:,ii);
  sf=ifft(s).';
  f(:,ii)=sf(:);
end;

f=f*sqrt(L/a);
